%define	major 3
%define libname	%mklibname rpcsecgss %{major}

Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Name:		librpcsecgss
Version:	0.14
%define subrel 1
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.gz
Patch0:		librpcsecgss-0.14-CVE-2007-3999.patch
#BuildRequires:	krb5-devel >= 1.3
BuildRequires:	libgssapi-devel >= 0.9
BuildRequires:  automake1.7
BuildRequires:  autoconf2.5
BuildRequires:  pkgconfig
BuildRequires:  libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%package -n	%{libname}
Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Group:		System/Libraries

%description -n	%{libname}
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%package -n	%{libname}-devel
Summary:	Static library and header files for the librpcsecgss library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	librpcsecgss-devel = %{version}
Provides:	rpcsecgss-devel = %{version}
Obsoletes:	%{mklibname rpcsecgss 1}-devel
Obsoletes:	%{mklibname rpcsecgss 2}-devel

%description -n	%{libname}-devel
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

This package contains the static librpcsecgss library and its
header files.

%prep

%setup -q -n librpcsecgss-%{version}
%patch0 -p1 -b .cve-2007-3999

# lib64 fix
perl -pi -e "s|/lib/|/%{_lib}/|g" configure*

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files  -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/rpcsecgss
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/librpcsecgss.pc


%changelog
* Wed Sep 12 2007 Vincent Danen <vdanen@mandriva.com> 0.14-1.1mdv2007.1
- P0: security fix for CVE-2007-3999

* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-1mdv2007.0
+ Revision: 111820
- updated to version 0.14
- new soname

* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-3mdv2007.1
+ Revision: 63382
- rebuild
- Import librpcsecgss



* Tue Jun 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-2mdv2007.0
- fix deps

* Tue Jun 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2007.0
- 0.12
- new major
- fix deps

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- use correct major (1)

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdk
- 0.8
- fix deps

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-2mdk
- fix naming

* Sat Dec 17 2005 Stefan van der Eijk <stefan@eijk.nu> 0.7-1mdk
- 0.7
- %%mkrel

* Tue May 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5
- fix naming
- lib64 fixes
- drop P0 as it's not needed anymore
- major is zero now

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package
